"use strict";

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _toConsumableArray2 = _interopRequireDefault(require("reshow-runtime/helpers/toConsumableArray"));
var _reshowConstant = require("reshow-constant");
var _array = _interopRequireDefault(require("array.dedup"));
var _strToArray = require("./strToArray.js");
//@ts-check

/**
 * @param {any[]} args
 * @returns {string}
 */
var mixClass = function mixClass() {
  var classes = [];
  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }
  args.forEach(function (arg) {
    if (!arg) {
      return;
    }
    var argType = typeof arg;
    if (argType === _reshowConstant.NUMBER || argType === _reshowConstant.STRING) {
      classes.push.apply(classes, (0, _toConsumableArray2["default"])((0, _strToArray.strToArray)(arg)));
    } else if ((0, _reshowConstant.IS_ARRAY)(arg)) {
      classes.push(mixClass.apply(null, arg));
    } else if (argType === _reshowConstant.OBJECT) {
      (0, _reshowConstant.KEYS)(arg).forEach(function (k) {
        if (arg[k]) {
          classes.push.apply(classes, (0, _toConsumableArray2["default"])((0, _strToArray.strToArray)(k)));
        }
      });
    }
  });
  return (0, _array["default"])(classes).join(" ");
};
var _default = exports["default"] = mixClass;
module.exports = exports.default;