"use strict";

exports.__esModule = true;
exports.toTailwindObj = void 0;
var _getSafeReg = require("get-safe-reg");
var _reshowConstant = require("reshow-constant");
var _strToArray = require("./strToArray.js");
//@ts-check

/**
 * @param {string=} className
 * @returns {{[key: string]: any}}
 */
var toTailwindObj = exports.toTailwindObj = function toTailwindObj(className) {
  var classes = (0, _strToArray.strToArray)(className);
  var r = (0, _reshowConstant.NEW_OBJ)();
  classes.forEach(function (item) {
    var parseResult = (0, _getSafeReg.wildcardSearch)(item, ":key-:val");
    if ( /** @type {object} */parseResult.key) {
      var oParseResult = /** @type {object} */parseResult;
      r[oParseResult.key] = oParseResult.val;
    } else {
      r[item] = true;
    }
  });
  return r;
};