import { expect } from "chai";
import mixClass from "../mixClass.mjs";
describe("Test mixClass", function () {
  it("mixClass basic test", function () {
    var acture = mixClass(1, "foo");
    expect(acture).to.equal("1 foo");
  });
  it("pass empty", function () {
    expect(mixClass()).to.equal("");
    var acture = mixClass(0, "", false, null, undefined);
    expect(acture).to.equal("");
  });
  it("pass duplicate", function () {
    var acture = mixClass(1, 1, 2, 2, 3, 3);
    expect(acture).to.equal("1 2 3");
  });
  it("pass array", function () {
    var acture = mixClass(["a", "b"], ["c", "d"]);
    expect(acture).to.equal("a b c d");
  });
  it("pass object", function () {
    var acture = mixClass({
      a: true,
      b: false,
      c: true
    });
    expect(acture).to.equal("a c");
  });
});