import _toConsumableArray from "reshow-runtime/es/helpers/toConsumableArray";
//@ts-check

import { KEYS, IS_ARRAY, STRING, NUMBER, OBJECT } from "reshow-constant";
import dedup from "array.dedup";
import { strToArray } from "./strToArray.mjs";

/**
 * @param {any[]} args
 * @returns {string}
 */
var mixClass = function mixClass() {
  var classes = [];
  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }
  args.forEach(function (arg) {
    if (!arg) {
      return;
    }
    var argType = typeof arg;
    if (argType === NUMBER || argType === STRING) {
      classes.push.apply(classes, _toConsumableArray(strToArray(arg)));
    } else if (IS_ARRAY(arg)) {
      classes.push(mixClass.apply(null, arg));
    } else if (argType === OBJECT) {
      KEYS(arg).forEach(function (k) {
        if (arg[k]) {
          classes.push.apply(classes, _toConsumableArray(strToArray(k)));
        }
      });
    }
  });
  return dedup(classes).join(" ");
};
export default mixClass;